searchNodes=[{"doc":"Documentation for Exisbn .","ref":"Exisbn.html","title":"Exisbn","type":"module"},{"doc":"Takes an ISBN (10 or 13) and checks its validity by its check digit Examples iex&gt; Exisbn . checkdigit_correct? ( &quot;85-359-0277-5&quot; ) true iex&gt; Exisbn . checkdigit_correct? ( &quot;978-5-12345-678-1&quot; ) true iex&gt; Exisbn . checkdigit_correct? ( &quot;978-5-12345-678&quot; ) false","ref":"Exisbn.html#checkdigit_correct?/1","title":"Exisbn.checkdigit_correct?/1","type":"function"},{"doc":"Takes an ISBN and returns its checkdigit. Examples iex&gt; Exisbn . fetch_checkdigit ( &quot;9788535902778&quot; ) 8 iex&gt; Exisbn . fetch_checkdigit ( &quot;2-1234-5680-2&quot; ) 2 iex&gt; Exisbn . fetch_checkdigit ( &quot;str&quot; ) nil","ref":"Exisbn.html#fetch_checkdigit/1","title":"Exisbn.fetch_checkdigit/1","type":"function"},{"doc":"Takes an ISBN and returns its prefix. Examples iex&gt; Exisbn . get_prefix ( &quot;9788535902778&quot; ) &quot;978-85&quot; iex&gt; Exisbn . get_prefix ( &quot;2-1234-5680-2&quot; ) &quot;978-2&quot; iex&gt; Exisbn . get_prefix ( &quot;str&quot; ) nil","ref":"Exisbn.html#get_prefix/1","title":"Exisbn.get_prefix/1","type":"function"},{"doc":"Takes an ISBN 10 code as string, returns its check digit. Examples iex&gt; Exisbn . isbn10_checkdigit ( &quot;85-359-0277&quot; ) 5 iex&gt; Exisbn . isbn10_checkdigit ( &quot;5-02-013850&quot; ) 9 iex&gt; Exisbn . isbn10_checkdigit ( &quot;0str&quot; ) nil","ref":"Exisbn.html#isbn10_checkdigit/1","title":"Exisbn.isbn10_checkdigit/1","type":"function"},{"doc":"Takes an ISBN 10 and converts it to ISBN 13. Examples iex&gt; Exisbn . isbn10_to_13 ( &quot;85-359-0277-5&quot; ) &quot;9788535902778&quot; iex&gt; Exisbn . valid? ( &quot;9788535902778&quot; ) true iex&gt; Exisbn . isbn10_to_13 ( &quot;0306406152&quot; ) &quot;9780306406157&quot; iex&gt; Exisbn . valid? ( &quot;9780306406157&quot; ) true iex&gt; Exisbn . isbn10_to_13 ( &quot;0-19-853453123&quot; ) nil","ref":"Exisbn.html#isbn10_to_13/1","title":"Exisbn.isbn10_to_13/1","type":"function"},{"doc":"Takes an ISBN 13 code as string, returns its check digit. Examples iex&gt; Exisbn . isbn13_checkdigit ( &quot;978-5-12345-678&quot; ) 1 iex&gt; Exisbn . isbn13_checkdigit ( &quot;978-0-306-40615&quot; ) 7 iex&gt; Exisbn . isbn13_checkdigit ( &quot;0str&quot; ) nil","ref":"Exisbn.html#isbn13_checkdigit/1","title":"Exisbn.isbn13_checkdigit/1","type":"function"},{"doc":"Takes an ISBN 13 and converts it to ISBN 10. Examples iex&gt; Exisbn . isbn13_to_10 ( &quot;9788535902778&quot; ) &quot;8535902775&quot; iex&gt; Exisbn . valid? ( &quot;8535902775&quot; ) true iex&gt; Exisbn . isbn13_to_10 ( &quot;9780306406157&quot; ) &quot;0306406152&quot; iex&gt; Exisbn . valid? ( &quot;0306406152&quot; ) true iex&gt; Exisbn . isbn13_to_10 ( &quot;str&quot; ) nil","ref":"Exisbn.html#isbn13_to_10/1","title":"Exisbn.isbn13_to_10/1","type":"function"},{"doc":"Takes an ISBN and returns its publisher zone. Examples iex&gt; Exisbn . publisher_zone ( &quot;9788535902778&quot; ) &quot;Brazil&quot; iex&gt; Exisbn . publisher_zone ( &quot;2-1234-5680-2&quot; ) &quot;French language&quot; iex&gt; Exisbn . publisher_zone ( &quot;str&quot; ) nil","ref":"Exisbn.html#publisher_zone/1","title":"Exisbn.publisher_zone/1","type":"function"},{"doc":"Takes an ISBN (10 or 13) and checks its validity by checking the checkdigit, length and characters. Examples iex&gt; Exisbn . valid? ( &quot;978-5-12345-678-1&quot; ) true iex&gt; Exisbn . valid? ( &quot;978-5-12345-678-1&quot; ) true iex&gt; Exisbn . valid? ( &quot;978-5-12345-678&quot; ) false iex&gt; Exisbn . valid? ( &quot;85-359-0277-5&quot; ) true iex&gt; Exisbn . valid? ( &quot;85-359-0277&quot; ) false","ref":"Exisbn.html#valid?/1","title":"Exisbn.valid?/1","type":"function"},{"doc":"Regions dataset for internal library use.","ref":"Exisbn.Regions.html","title":"Exisbn.Regions","type":"module"},{"doc":"","ref":"Exisbn.Regions.html#dataset/0","title":"Exisbn.Regions.dataset/0","type":"function"}]